gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType Represents a rectangle with x, y, width and height.
- Constructor
  2.12.0.0
  a
  a
  Creates a rectangle from a point and a size.
  To be added.
- Constructor
  2.12.0.0
  X value.
  Y value
  Width of the rectangle.
  Height of the rectangle
  Initializes a rectangle from the given values.
- Property
  2.12.0.0
  System.Int32 The Y coordinate of the bottom of the rectangle. a To be added.
- Method
  2.12.0.0
  System.Boolean `` a Does hit testing for a point a To be added.
- Method
  2.12.0.0
  System.Boolean `` a Tests if a rectangle is contained in this rectangle. a The rectangle must be fully enclosed for this test to return true. That is, the intersection of this and must equal .
- Method
  2.12.0.0
  System.Boolean `` `` a a Does hit testing for a point a To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  Gdk.Rectangle `` `` `` `` a a a a Creates a rectangle given the left, right, top, and bottom. a To be added.
- Method
  2.12.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Field
  2.12.0.0
  System.Int32 The rectangle height.
- Method
  2.12.0.0
  System.Void `` a Inflates this rectangle by a given size. To be added.
- Method
  2.12.0.0
  Gdk.Rectangle `` `` a A change in size. Changes the size of each side of the rectangle by the specified amount. a The rectangle's center is the same as the center of .
- Method
  2.12.0.0
  System.Void `` `` a a Inflates this rectangle by a given size. To be added.
- Method
  2.12.0.0
  Gdk.Rectangle `` `` `` a Change in the X size Change in the Y size Changes the size of each side of the rectangle by the specified amount. a The rectangle's center is the same as the center of .
- Method
  2.12.0.0
  System.Void `` a Modifies this rectangle to be the intersection with another rectangle To be added.
- Method
  2.12.0.0
  Gdk.Rectangle `` `` a a Gets the largest rectangle (if any) which is contained by both parameters. a To be added.
- Method
  2.12.0.0
  System.Boolean `` `` a a representing the intersection of this and the src2 Obtains the intersection of a this and another. Returns true if the two objects intersect. The result is the rectangular region occupied by both source rectanlges.
- Method
  2.12.0.0
  System.Boolean `` a Tests if there is any overlap of this rectangle and another a To be added.
- Property
  2.12.0.0
  System.Boolean Gets if the area of the rectangle is zero a This will return true if either the height or the width is zero.
- Property
  2.12.0.0
  System.Int32 The X coordinate of the left of the rectangle. a To be added.
- Property
  2.12.0.0
  Gdk.Point Gets the point represented by (X, Y) a To be added.
- Method
  2.12.0.0
  Gdk.Rectangle `` An , the underlying unmanaged C object. Makes a new rectangle. A Not for general developer use.
- Method
  2.12.0.0
  System.Void `` a Offsets this rectangle by the vector dr To be added
- Method
  2.12.0.0
  Gdk.Rectangle `` `` a a Returns a rectangle shifted by the vector dr a To be added.
- Method
  2.12.0.0
  System.Void `` `` a a Offsets this rectangle by (dx,dy) To be added.
- Method
  2.12.0.0
  Gdk.Rectangle `` `` `` a a a Returns the rectangle shifted by (dx,dy) a To be added.
- Method
  2.12.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  GLib.Value `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  Gdk.Rectangle `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  System.Int32 The X coordinate of the right of the rectangle. a To be added.
- Property
  2.12.0.0
  Gdk.Size Gets the size represented by (Width, Height) a To be added.
- Property
  2.12.0.0
  System.Int32 The Y coordinate of the top of the rectangle. a To be added.
- Method
  2.12.0.0
  System.String To be added. To be added. To be added.
- Method
  2.12.0.0
  Gdk.Rectangle `` a Obtains the union of a this and another. a representing the union of the two objects. The result is the smallest that contains both objects within its boundaries.
- Method
  2.12.0.0
  Gdk.Rectangle `` `` a a Gets the smallest rectangle that contains both parameters a To be added.
- Field
  2.12.0.0
  System.Int32 The rectangle width
- Field
  2.12.0.0
  System.Int32 The X element of the rectangle.
- Field
  2.12.0.0
  System.Int32 The Y element of the rectangle.
- Field
  2.12.0.0
  Gdk.Rectangle A zero initialized rectangle.